@import java.time.format.DateTimeFormatter
@import controllers.Post
@import controllers.TextboardController
@import controllers.PostRepository
@import java.time.format.DateTimeFormatter


@(posts: Seq[Post], form: Form[PostRequest])(implicit messages: Messages)
<!DOCTYPE html>
<html lang="ja">
  <head>
    <title>Scala Text Textboard</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="/assets/textboard.css">
  </head>

  <body> 
    <div class="contain">
      <h1>@Messages("textboard.title")</h1>
    @for(error <- form.errors){
      <p class="text-danger" id="error">@Messages(error.message)</p>
      }
      <form method="POST" action="/add" class="form-inline">
        <imput type ="text" class =" form-control" id="id" name="id">
        <input type="text" class="form-control" id="text" name="body">
        <input type="date" class="form-control" id="startDate" name="startDate">
        <input type="date" class="form-control" id="endDate" name="endDate">
        <button type="submit" class="btn btn-default">@Messages("textboard.send")</button>
      </form>
      <table class="table">
        <thead>
          <tr><th>@Messages("textboard.dateTime")</th><th>@Messages("textboard.message")</th></tr>
        </thead>
        <tbody>
          @for(post <- posts){
            <tr>
              <td class="post-date">@{
                                    post.startDate
                                    }</td>
              <td class="post-body">@post.body</td>
            </tr>
            }
        </tbody>
      </table>
    </div>


    <div class="jsonContain">
      <h1>@Messages("jsonTextboard.title")</h1>
      @for(error <- form.errors){
        <p class="text-danger" id="error">@Messages(error.message)</p>
        }
        <form method="POST" action="/posts" class="form-inline">
          <imput type ="text" class =" form-control" id="id" name="id">
            <input type="text" class="form-control" id="text" name="body">
            <input type="date" class="form-control" id="startDate" name="startDate">
            <input type="date" class="form-control" id="endDate" name="endDate">
            <button type="submit" class="btn btn-default">@Messages("textboard.send")</button>
        </form>
        <table class="table">
          <thead>
            <tr><th>@Messages("textboard.dateTime")</th><th>@Messages("textboard.message")</th></tr>
          </thead>
          <tbody>
            @for(post <- posts){
              <tr>
                <td class="post-date">@{
                                      post.startDate
                                      }</td>
                <td class="post-body">@post.body</td>
              </tr>
              }
          </tbody>
        </table>
    </div>

    
  </body>
</html>
